package com.steerinfo.ems.usagedata.model;

import com.steerinfo.framework.model.IBasePO;
import io.swagger.annotations.ApiModelProperty;
import java.math.BigDecimal;
import java.util.Date;

public class UsageData implements IBasePO<String> {
    /**
     * 主键流水(ID,VARCHAR,50)
     */
    @ApiModelProperty(value="主键流水",required=false)
    private String id;

    /**
     * 能源编码(DATA_CODE,VARCHAR,50)
     */
    @ApiModelProperty(value="能源编码",required=true)
    private String dataCode;

    /**
     * 能源名称(DATA_NAME,VARCHAR,100)
     */
    @ApiModelProperty(value="能源名称",required=true)
    private String dataName;

    /**
     * 业务日期(DT,VARCHAR,20)
     */
    @ApiModelProperty(value="业务日期",required=true)
    private String dt;

    /**
     * 数值(USAGE,DECIMAL,18)
     */
    @ApiModelProperty(value="数值",required=true)
    private BigDecimal usage;

    /**
     * 写入时间（创建时间）(CT,TIMESTAMP,7)
     */
    @ApiModelProperty(value="写入时间（创建时间）",required=true)
    private Date ct;

    /**
     * 传输状态（0：未传晋泰信和，1：已传晋泰信和）(STATUS,VARCHAR,1)
     */
    @ApiModelProperty(value="传输状态（0：未传晋泰信和，1：已传晋泰信和）",required=true)
    private String status;

    /**
     * 计量单位(UNIT,VARCHAR,10)
     */
    @ApiModelProperty(value="计量单位",required=true)
    private String unit;

    /**
     * 能源传输粒度（DAY,MONTH）(GRANULARITY,VARCHAR,10)
     */
    @ApiModelProperty(value="能源传输粒度（DAY,MONTH）",required=true)
    private String granularity;

    /**
     * 创建人(CZR,VARCHAR,10)
     */
    @ApiModelProperty(value="创建人",required=true)
    private String czr;

    /**
     * 备注(MEMO,VARCHAR,10)
     */
    @ApiModelProperty(value="备注",required=true)
    private String memo;

    /**
     * 修改时间(UPTIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="修改时间",required=true)
    private Date uptime;

    /**
     * 操作人(UPMAN,VARCHAR,10)
     */
    @ApiModelProperty(value="修改人",required=true)
    private String upman;
    
    /**
     * 上传操作人(OPERATOR_MAN,VARCHAR,10)
     */
    @ApiModelProperty(value="上传操作人",required=false)
    private String operatorMan;

    /**
     * 上传操作时间(OPERATOR_DATE,TIMESTAMP,7)
     */
    @ApiModelProperty(value="上传操作时间",required=false)
    private Date operatorDate;

    private static final long serialVersionUID = 1L;

    @Override
    public String getId() {
        return this.id;
    }

    @Override
    public void setId(String id) {
        this.id = id == null ? null : id.trim();
    }

    public String getDataCode() {
        return dataCode;
    }

    public void setDataCode(String dataCode) {
        this.dataCode = dataCode == null ? null : dataCode.trim();
    }

    public String getDataName() {
        return dataName;
    }

    public void setDataName(String dataName) {
        this.dataName = dataName == null ? null : dataName.trim();
    }

    public String getDt() {
        return dt;
    }

    public void setDt(String dt) {
        this.dt = dt;
    }

    public BigDecimal getUsage() {
        return usage;
    }

    public void setUsage(BigDecimal usage) {
        this.usage = usage;
    }

    public Date getCt() {
        return ct;
    }

    public void setCt(Date ct) {
        this.ct = ct;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status == null ? null : status.trim();
    }

    public String getUnit() {
        return unit;
    }

    public void setUnit(String unit) {
        this.unit = unit == null ? null : unit.trim();
    }

    public String getGranularity() {
        return granularity;
    }

    public void setGranularity(String granularity) {
        this.granularity = granularity == null ? null : granularity.trim();
    }

    public String getCzr() {
        return czr;
    }

    public void setCzr(String czr) {
        this.czr = czr == null ? null : czr.trim();
    }

    public String getMemo() {
        return memo;
    }

    public void setMemo(String memo) {
        this.memo = memo == null ? null : memo.trim();
    }

    public Date getUptime() {
        return uptime;
    }

    public void setUptime(Date uptime) {
        this.uptime = uptime;
    }

    public String getUpman() {
        return upman;
    }

    public void setUpman(String upman) {
        this.upman = upman == null ? null : upman.trim();
    }

    public String getOperatorMan() {
		return operatorMan;
	}

	public void setOperatorMan(String operatorMan) {
		this.operatorMan = operatorMan;
	}

	public Date getOperatorDate() {
		return operatorDate;
	}

	public void setOperatorDate(Date operatorDate) {
		this.operatorDate = operatorDate;
	}

	@Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", id=").append(id);
        sb.append(", dataCode=").append(dataCode);
        sb.append(", dataName=").append(dataName);
        sb.append(", dt=").append(dt);
        sb.append(", usage=").append(usage);
        sb.append(", ct=").append(ct);
        sb.append(", status=").append(status);
        sb.append(", unit=").append(unit);
        sb.append(", granularity=").append(granularity);
        sb.append(", czr=").append(czr);
        sb.append(", memo=").append(memo);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append(", upman=").append(upman);
        sb.append(", uptime=").append(uptime);
        sb.append(", operatorMan=").append(operatorMan);
        sb.append(", operatorDate=").append(operatorDate);
        sb.append("]");
        return sb.toString();
    }
}